View Issue Details

IDProjectCategoryView StatusLast Update
0000211ECLERD[All Projects] Gameplaypublic2015-10-19 00:37
ReporterXenosAssigned ToAlu 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status CloseResolutionfixed 
Product Version 
Target Versionv1.0.0-a.7Fixed in Versionv1.0.0-a.7 
Summary0000211: Doter les batiments de stocks
DescriptionPour pouvoir y mettre les ressources. Celles-ci ne sont pas encore déplaçables, et les usines ne produisent pas encore.
Ces stocks contiennent tout ce qu'on veut, et dans la quantité que l'on veut.
Tagsmap, ressource, unites
Attach Tags

Relationships

parent of 0000203 CloseXenos La carte v1.0.0-a.0 
parent of 0000210 CloseXenos Rajouter les ressources 
parent of 0000207 CloseXenos Construire les batiments 
child of 0000213 CloseXenos Les usines produisent et consomment 
child of 0000212 CloseXenos Transférer des ressources 

Activities

Xenos

Xenos

2015-08-23 17:45

administrator   ~0000236

Je vais plutôt doter les constructions de ressources, et non les cases, quitte à créer une construction "terrain vague" si les joueurs veulent un jour stocker des ressources sur des cases vides.
Alu

Alu

2015-08-23 17:47

manager   ~0000237

ça me plait.

toutefois, est-ce qu'un terrain "forêt" à un "stock" limité d'arbres à abattre ?
Xenos

Xenos

2015-08-23 17:49

administrator   ~0000238

Oui, puisque les cases ont une "carotte" verticale qui décrit ce qui se trouve à différentes altitudes, et en quelles quantités. Donc, de la même façon qu'une case a du pétrole brut en sous-sol en quantité limité, elle pourra avoir des arbres en quantité limité.
Alu

Alu

2015-08-23 17:59

manager   ~0000241

Ah oui, c'est vrai. x)
Ok pour moi.
Xenos

Xenos

2015-08-31 22:01

administrator   ~0000270

Dans le cas où un batiment est détruit, les stocks seront perdus (s'ils ne sont pas rattachés à la case, mais au batiment). Du coup, plusieurs options:
• La destruction d'un batiment crée un autre batiment, "terrain vague", auquel les ressources sont rattachées. Ce bâtiment n'a pas d'apparence physique
• Les ressources en stock sont perdues (ce serait bien alors d'avertir le joueur avant qu'il ne démolisse le bâtiment, quitte à lui proposer directement la fenêtre de déplacement de ressources, pour qu'il vide les stocks, puis une fois les stocks vidés, on détruit le bâtiment)
• Les ressources sont rattachées à la case, vide, et le joueur n'a alors plus que la possibilité de déplacer ces ressources hors de la case: il ne peut pas amener des ressources vers cette case (elle est vide), mais il peut les en retirer. Le cas problématique se posant alors est le suivant: si la case possède des ressources et que je reconstruis une usine dessus, où vont ces ressources? Dans le stock de l'usine construite? Pas forcément si ce stock est plein (les ressources sur la case dépassent la capacité du stock de l'usine construite). Ou alors, il faut "vider" une case de ses ressources avant de pouvoir construire dessus? Dans ce cas, il faudrait pouvoir déplacer des ressources de case vide en case vide.
Xenos

Xenos

2015-09-01 23:37

administrator   ~0000272

Les stocks ne sont pas limités, donc je les ai attachés à la case. Ma structure isole clairement le stock, donc il sera possible à postériori d'attacher ce stock ou à la case, ou au batiment qui est dessus, ou même aux deux.

Il n'y a pas de vue des stocks: ils sont bien présents en BDD, mais ne sont pas visible dans la vue web. Leur visibilité dans la vue web pose une question de structure: comment faire la récupération des stocks pour une liste de cases données? Je creuse encore un peu la question.

L'ajout des stocks est donc fait (les batiments sont dotés de stocks), mais aucune vue n'y est associée.
Xenos

Xenos

2015-10-19 00:37

administrator   ~0000381

Fixé dans la v1.0.0-a.7 et déployé sur le serveur beta.

Issue History

Date Modified Username Field Change
2015-08-15 15:17 Xenos New Issue
2015-08-15 15:17 Xenos Status New => In progress
2015-08-15 15:17 Xenos Assigned To => Xenos
2015-08-15 15:19 Xenos Summary Doter les usines de stocks => Doter les cases de stocks
2015-08-15 15:19 Xenos Description Updated View Revisions
2015-08-15 15:26 Xenos Relationship added child of 0000213
2015-08-15 15:26 Xenos Relationship added parent of 0000203
2015-08-15 15:27 Xenos Relationship added parent of 0000210
2015-08-15 15:27 Xenos Relationship added child of 0000212
2015-08-16 15:48 Xenos Status In progress => Accepted
2015-08-23 17:27 Xenos Status Accepted => In progress
2015-08-23 17:27 Xenos Tag Attached: batiment
2015-08-23 17:27 Xenos Tag Attached: case
2015-08-23 17:27 Xenos Tag Attached: ressource
2015-08-23 17:45 Xenos Note Added: 0000236
2015-08-23 17:47 Alu Note Added: 0000237
2015-08-23 17:49 Xenos Note Added: 0000238
2015-08-23 17:52 Xenos Summary Doter les cases de stocks => Doter les batiments de stocks
2015-08-23 17:53 Xenos Relationship added child of 0000207
2015-08-23 17:53 Xenos Relationship replaced parent of 0000207
2015-08-23 17:59 Alu Note Added: 0000241
2015-08-24 22:27 Xenos Status In progress => Accepted
2015-08-31 22:01 Xenos Note Added: 0000270
2015-08-31 22:01 Xenos Assigned To Xenos => Alu
2015-08-31 22:01 Xenos Status Accepted => Feedback
2015-09-01 23:37 Xenos Note Added: 0000272
2015-09-01 23:37 Xenos Status Feedback => In progress
2015-09-01 23:37 Xenos Status In progress => Resolved
2015-09-01 23:37 Xenos Fixed in Version => v1.0.0-a.7
2015-09-01 23:37 Xenos Resolution open => fixed
2015-10-19 00:37 Xenos Note Added: 0000381
2015-10-19 00:37 Xenos Status Resolved => Close
2015-12-27 23:43 Xenos Tag Renamed batiment => eclerd-batiment
2015-12-27 23:44 Xenos Tag Renamed case => map
2015-12-27 23:53 Xenos Tag Renamed eclerd-batiment => unites